/*****************************************************************************
 * Copyright (C) 2014
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/


function addEventListeners() {
    $("#maintenance").mousedown(function () {
	$("#maintenance_window").jqxWindow('open');
    });
}

function createMaintenance() {
    $("#maintenance_window").jqxWindow({
	height: 400, width: 800, autoOpen: false, theme: 'ui-redmond', 
	position: { x:100, y:50 }, 
	resizable: false, isModal: true, modalOpacity: 0.5, 
	okButton: $("#maintenance_ok"), 
	initContent: function () {
	    $("#maintenance_ok").jqxButton({ width: 70, height: 25, theme: 'ui-redmond' });
	}
    });
    $("#maintenance").jqxButton({ width: 150, height: 25, theme: 'ui-redmond' });
}

$(document).ready(function () {
    // Create jqxTabs.
    $("#jqxTabs").jqxTabs({ width: 978, height: 428, position: 'top', theme: 'ui-redmond'});
    addEventListeners();
    createMaintenance();
});

